    The XSPEC voigt model: Voigt line profile.

xsvoigt
The xsvoigt model is an additive model component.

The model is described at [1] .

>>> create_model_component("xsvoigt", "mdl")
>>> print(mdl)

Create a component of the xsvoigt model and display its default parameters. The output is:

mdl Param Type Value Min Max Units ----- ---- ----- --- --- ----- mdl.LineE thawed 6.5 0 1e+06 keV mdl.Sigma thawed 0.01 0 20 keV mdl.Gamma thawed 0.01 0 20 keV mdl.norm thawed 1 0 1e+24

ATTRIBUTES

The attributes for this object are:

Attribute
Definition
LineE
The line energy, in keV.
Sigma
The gaussian line width, in keV.
Gamma
The lorentzian FWHM line width, in keV.
norm
The flux in the line, in units of photon/cm^2/s.

References

[1] https://heasarc.gsfc.nasa.gov/xanadu/xspec/manual/XSmodelVoigt.html

XSPEC version

CIAO 4.16 comes with support for version 12.13.1e of the XSPEC models. This can be checked with the following:

% python -c 'from sherpa.astro import xspec; print(xspec.get_xsversion())'12.13.1e

See the bugs pages on the Sherpa website for an up-to-date listing of known bugs.

December 2023